{
  "name": "sentryagent-idp",
  "version": "1.0.0",
  "description": "SentryAgent.ai Agent Identity Provider (AgentIdP)",
  "main": "dist/server.js",
  "scripts": {
    "build": "tsc",
    "start": "node dist/server.js",
    "dev": "ts-node src/server.ts",
    "test": "jest",
    "test:unit": "jest tests/unit",
    "test:integration": "jest tests/integration",
    "db:migrate": "ts-node scripts/migrate.ts",
    "lint": "eslint src --ext .ts",
    "format": "prettier --write src/**/*.ts",
    "load-test": "k6 run tests/load/agent-registration.js && k6 run tests/load/token-issuance.js && k6 run tests/load/credential-rotation.js",
    "test:agntcy-conformance": "jest --config tests/agntcy-conformance/jest.config.cjs"
  },
  "dependencies": {
    "@open-policy-agent/opa-wasm": "^1.10.0",
    "@types/archiver": "^7.0.0",
    "archiver": "^7.0.1",
    "bcryptjs": "^2.4.3",
    "bull": "^4.16.5",
    "cors": "^2.8.5",
    "did-resolver": "^4.1.0",
    "dotenv": "^16.4.5",
    "express": "^4.18.3",
    "helmet": "^7.1.0",
    "ioredis": "^5.10.1",
    "joi": "^17.12.3",
    "jsonwebtoken": "^9.0.2",
    "kafkajs": "^2.2.4",
    "morgan": "^1.10.0",
    "node-forge": "^1.4.0",
    "node-vault": "^0.12.0",
    "oidc-provider": "^9.7.1",
    "pg": "^8.11.3",
    "pino": "^8.19.0",
    "pino-http": "^9.0.0",
    "prom-client": "^15.1.3",
    "rate-limiter-flexible": "^5.0.5",
    "redis": "^4.6.13",
    "stripe": "^21.0.1",
    "ulid": "^3.0.2",
    "uuid": "^9.0.1",
    "web-did-resolver": "^2.0.32"
  },
  "devDependencies": {
    "@types/bcryptjs": "^2.4.6",
    "@types/bull": "^3.15.9",
    "@types/cors": "^2.8.17",
    "@types/express": "^4.17.21",
    "@types/jest": "^29.5.12",
    "@types/jsonwebtoken": "^9.0.6",
    "@types/morgan": "^1.9.9",
    "@types/node": "^20.12.7",
    "@types/node-forge": "^1.3.14",
    "@types/node-vault": "^0.9.1",
    "@types/pg": "^8.11.5",
    "@types/supertest": "^6.0.2",
    "@types/uuid": "^9.0.8",
    "@typescript-eslint/eslint-plugin": "^7.8.0",
    "@typescript-eslint/parser": "^7.8.0",
    "eslint": "^8.57.0",
    "jest": "^29.7.0",
    "prettier": "^3.2.5",
    "supertest": "^6.3.4",
    "ts-jest": "^29.1.2",
    "ts-node": "^10.9.2",
    "typescript": "^5.4.5"
  },
  "engines": {
    "node": ">=18.0.0"
  }
}
